package com.zipcodewilmington.gildedrose;


public class Inventory {
    private Item[] items;

    public Inventory(Item[] items) {
        super();
        this.items = items;
    }


    public void updateQuality() {
        for (int i = 0; i < items.length; i++) {
            if (!items[i].getName().equals("Aged Brie") && !items[i].getName().equals("Backstage passes to a TAFKAL80ETC concert"))
            {
                if (items[i].getQuality() > 0)
                {
                    if (!items[i].getName().equals("Sulfuras, Hand of Ragnaros"))
                    {
                        items[i].setQuality(items[i].getQuality() - 1); //sulfuras never decrease in quality
                    }
                }
            } else
                {
                if (items[i].getQuality() < 50) // quality of item never less than 50
                {
                    items[i].setQuality(items[i].getQuality() + 1);

                    if (items[i].getName() == "Backstage passes to a TAFKAL80ETC concert") // start of backstage pass details
                    {
                        if (items[i].getSellIn() < 11)
                        {
                            if (items[i].getQuality() < 50)
                            {
                                items[i].setQuality(items[i].getQuality() + 1);
                            }
                        }

                        if (items[i].getSellIn() < 6)
                        {
                            if (items[i].getQuality() < 50)
                            {
                                items[i].setQuality(items[i].getQuality() + 1);
                            }
                        }
                    }
                }
            }

            if (!items[i].getName().equals("Sulfuras, Hand of Ragnaros")) // sulfuras never loses value
            {
                items[i].setSellIn(items[i].getSellIn() - 1);
            }

            if (items[i].getSellIn() < 0)
            {
                if (!items[i].getName().equals("Aged Brie"))
                {
                    if (!items[i].getName().equals("Backstage passes to a TAFKAL80ETC concert"))
                    {
                        if (items[i].getQuality() > 0)
                        {
                            if (!items[i].getName().equals("Sulfuras, Hand of Ragnaros")) //sulfuras never loses value
                            {
                                items[i].setQuality(items[i].getQuality() - 1); // other depreciate
                            }
                        }
                    } else
                        {
                            items[i].setQuality(0);
                        }
                } else
                    {
                    if (items[i].getQuality() < 50)
                    {
                        items[i].setQuality(items[i].getQuality() + 1);
                    }
                    }
            }
        }
    }
}